[Auto Close] Pembuatan Fungsi Auto Close Allocation ltem Status, Iltem Status dan Process Status
10/04/2023 04:07 PM - Kezia Pawitra Yulianti

Status: Assigned Start date: 10/04/2023
Priority: High Due date: 10/13/2023
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Yomma,

sesuai diskusi, mohon untuk dapat dibuatkan fungsi untuk auto close document2 sesuai ketentuan sbb
1. Saat sales order di buat, maka akan kebentuk allocation sesuai status masing2 material
2. Semua stok dan allocate material harus di cek berdasarkan warehouse, storage dan bin

3. Jika memang saat create SO akan dialokasikan oleh lebih dr 1 warehouse maka baris allocate juga akan terbentuk otomatis
sesuai pemenuhan material ts di masing2 warehouse

4. Saat doc GICU di buat, jika quantity material udah sama dgn quantity yg ada di SO, maka item status di allocation otomatis
menjadi close, item status di sales item otomatis close dan process status di header SO juga otomatis close

5. Saat doc GICU di buat, jika quantity material belum sama dgn quantity yg ada di SO (atau baru sebagian dan masih ada sisa),
maka item status di allocation otomatis harus terbentuk 2 baris dgn detail yaitu status close sejumlah quantity di GICU dan status
ready sejumlah sisa quantity nya (SO - GICU yg sudah di save documentnya), item status di sales item otomatis partial dan process
status di header SO masih open

6. Selama total quantity material di GICU dgn ref doc SO terkait belum sama dgn quantity di SO tsb maka seluruh status di sales
item dan process status di header belum bisa di close

7. Jika item status yg ada di allocation masih ready & not avaliable, maka masih bisa di delete bris datanya. Sedangkan jika item
status di allocation sudah close, maka dibuatkan validasi supaya tidak bisa di delete baris data tsb

Sementara ini dulu yaa requirement nya, nanti kita diskusikan Ig kalau ada masukan ada concern lain Yoms
Tks

History

#1 - 10/04/2023 04:07 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned
#2 - 08/13/2024 04:51 PM - Kezia Pawitra Yulianti

update di port demo yaa refer to KJL
Tks

07/04/2025 1/1



http://www.tcpdf.org

